--- old/usr/src/pkg/manifests/service-fault-management.mf	2014-04-11 13:24:10.142528571 +0100
+++ new/usr/src/pkg/manifests/service-fault-management.mf	2014-04-11 13:24:10.149513949 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -60,7 +61,7 @@
 # lib dirs:
 #
 dir path=lib/fm variant.opensolaris.zone=__NODEFAULT
-dir path=lib/fm/$(ARCH64) variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)dir path=lib/fm/$(ARCH64) variant.opensolaris.zone=__NODEFAULT
 #
 # Our service manifests are common to global and non-global zones
 #
@@ -87,13 +88,14 @@
 dir path=usr/include/fm
 dir path=usr/lib variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm variant.opensolaris.zone=__NODEFAULT
-dir path=usr/lib/fm/$(ARCH64) variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)dir path=usr/lib/fm/$(ARCH64) variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/dict variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/eft
 dir path=usr/lib/fm/fmd variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/fmd/plugins variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/fmd/schemes variant.opensolaris.zone=__NODEFAULT
-dir path=usr/lib/fm/fmd/schemes/$(ARCH64) variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)dir path=usr/lib/fm/fmd/schemes/$(ARCH64) \
+    variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/notify variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/topo variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/topo/maps variant.opensolaris.zone=__NODEFAULT
@@ -268,9 +270,9 @@
 #
 # Some libraries need to be in lib for install
 #
-file path=lib/fm/$(ARCH64)/libfmevent.so.1 \
+$(BUILD64)file path=lib/fm/$(ARCH64)/libfmevent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=lib/fm/$(ARCH64)/llib-lfmevent.ln \
+$(BUILD64)file path=lib/fm/$(ARCH64)/llib-lfmevent.ln \
     variant.opensolaris.zone=__NODEFAULT
 file path=lib/fm/libfmevent.so.1 variant.opensolaris.zone=__NODEFAULT
 file path=lib/fm/llib-lfmevent variant.opensolaris.zone=__NODEFAULT
@@ -307,50 +309,50 @@
 #
 #	64-bit .so.1
 #
-file path=usr/lib/fm/$(ARCH64)/libdiagcode.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libdiagcode.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libdiskstatus.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libdiskstatus.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmd_adm.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmd_adm.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmd_agent.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmd_agent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmd_log.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmd_log.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmd_msg.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmd_msg.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmd_snmp.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmd_snmp.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmnotify.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmnotify.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-$(sparc_ONLY)file path=usr/lib/fm/$(ARCH64)/libldom.so.1
-$(sparc_ONLY)file path=usr/lib/fm/$(ARCH64)/libmdesc.so.1
-file path=usr/lib/fm/$(ARCH64)/libseslog.so.1
-file path=usr/lib/fm/$(ARCH64)/libtopo.so.1 \
+$(sparc_BUILD64)file path=usr/lib/fm/$(ARCH64)/libldom.so.1
+$(sparc_BUILD64)file path=usr/lib/fm/$(ARCH64)/libmdesc.so.1
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libseslog.so.1
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libtopo.so.1 \
     variant.opensolaris.zone=__NODEFAULT
 #
 #	64-bit lint libraries
 #
-file path=usr/lib/fm/$(ARCH64)/llib-ldiagcode.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-ldiagcode.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-ldiskstatus.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-ldiskstatus.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmd_adm.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmd_adm.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmd_agent.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmd_agent.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmd_log.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmd_log.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmd_msg.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmd_msg.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmd_snmp.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmd_snmp.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmnotify.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmnotify.ln \
     variant.opensolaris.zone=__NODEFAULT
-$(sparc_ONLY)file path=usr/lib/fm/$(ARCH64)/llib-lldom.ln
-$(sparc_ONLY)file path=usr/lib/fm/$(ARCH64)/llib-lmdesc.ln
-file path=usr/lib/fm/$(ARCH64)/llib-lseslog.ln
-file path=usr/lib/fm/$(ARCH64)/llib-ltopo.ln \
+$(sparc_BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lldom.ln
+$(sparc_BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lmdesc.ln
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lseslog.ln
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-ltopo.ln \
     variant.opensolaris.zone=__NODEFAULT
 #
 # Dictionaries, whether they are hardware-specific or not, are
@@ -471,27 +473,27 @@
 #
 # fmri scheme support: all are common to both global and non-global zones
 #
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/cpu.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/cpu.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/dev.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/dev.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/fmd.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/fmd.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/hc.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/hc.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/legacy-hc.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/legacy-hc.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/mem.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/mem.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/mod.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/mod.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/pkg.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/pkg.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/svc.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/svc.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/sw.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/sw.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/zfs.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/zfs.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
 file path=usr/lib/fm/fmd/schemes/cpu.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
@@ -872,7 +874,7 @@
 #
 # libraries .so symlinks in lib
 #
-link path=lib/fm/$(ARCH64)/libfmevent.so target=./libfmevent.so.1 \
+$(BUILD64)link path=lib/fm/$(ARCH64)/libfmevent.so target=./libfmevent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
 link path=lib/fm/libfmevent.so target=libfmevent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
@@ -880,34 +882,35 @@
 #
 #	64-bit .so symlinks
 #
-link path=usr/lib/fm/$(ARCH64)/libdiagcode.so target=./libdiagcode.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libdiskstatus.so target=./libdiskstatus.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmd_adm.so target=./libfmd_adm.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmd_agent.so target=./libfmd_agent.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmd_log.so target=./libfmd_log.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmd_msg.so target=./libfmd_msg.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmd_snmp.so target=./libfmd_snmp.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmevent.so \
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libdiagcode.so \
+    target=./libdiagcode.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libdiskstatus.so \
+    target=./libdiskstatus.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmd_adm.so \
+    target=./libfmd_adm.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmd_agent.so \
+    target=./libfmd_agent.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmd_log.so \
+    target=./libfmd_log.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmd_msg.so \
+    target=./libfmd_msg.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmd_snmp.so \
+    target=./libfmd_snmp.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmevent.so \
     target=../../../../lib/fm/$(ARCH64)/libfmevent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmevent.so.1 \
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmevent.so.1 \
     target=../../../../lib/fm/$(ARCH64)/libfmevent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmnotify.so target=./libfmnotify.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-$(sparc_ONLY)link path=usr/lib/fm/$(ARCH64)/libldom.so target=libldom.so.1
-$(sparc_ONLY)link path=usr/lib/fm/$(ARCH64)/libmdesc.so target=libmdesc.so.1
-link path=usr/lib/fm/$(ARCH64)/libseslog.so target=./libseslog.so.1
-link path=usr/lib/fm/$(ARCH64)/libtopo.so target=libtopo.so.1 \
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmnotify.so \
+    target=./libfmnotify.so.1 variant.opensolaris.zone=__NODEFAULT
+$(sparc_BUILD64)link path=usr/lib/fm/$(ARCH64)/libldom.so target=libldom.so.1
+$(sparc_BUILD64)link path=usr/lib/fm/$(ARCH64)/libmdesc.so \
+    target=libmdesc.so.1
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libseslog.so target=./libseslog.so.1
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libtopo.so target=libtopo.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/llib-lfmevent.ln \
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/llib-lfmevent.ln \
     target=../../../../lib/fm/$(ARCH64)/llib-lfmevent.ln
 #
 #	32-bit .so symlinks
--- old/usr/src/pkg/manifests/service-file-system-nfs.mf	2014-04-11 13:24:10.365414265 +0100
+++ new/usr/src/pkg/manifests/service-file-system-nfs.mf	2014-04-11 13:24:10.372283940 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/file-system/nfs@$(PKGVERS)
@@ -47,10 +48,10 @@
 dir path=usr/lib
 dir path=usr/lib/fs group=sys
 dir path=usr/lib/fs/nfs group=sys
-dir path=usr/lib/fs/nfs/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/fs/nfs/$(ARCH64) group=sys
 dir path=usr/lib/nfs group=sys
 dir path=usr/lib/reparse group=bin
-dir path=usr/lib/reparse/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/reparse/$(ARCH64) group=sys
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -67,13 +68,13 @@
 file path=lib/svc/manifest/network/nfs/rquota.xml group=sys mode=0444
 file path=lib/svc/manifest/network/nfs/server.xml group=sys mode=0444
 file path=lib/svc/method/nfs-server mode=0555
-file path=usr/lib/fs/nfs/$(ARCH64)/libshare_nfs.so.1
+$(BUILD64)file path=usr/lib/fs/nfs/$(ARCH64)/libshare_nfs.so.1
 file path=usr/lib/fs/nfs/libshare_nfs.so.1
 file path=usr/lib/nfs/mountd mode=0555
 file path=usr/lib/nfs/nfsd mode=0555
 file path=usr/lib/nfs/nfslogd mode=0555
 file path=usr/lib/nfs/rquotad mode=0555
-file path=usr/lib/reparse/$(ARCH64)/libnfs_basic.so.1
+$(BUILD64)file path=usr/lib/reparse/$(ARCH64)/libnfs_basic.so.1
 file path=usr/lib/reparse/libnfs_basic.so.1
 file path=usr/sbin/exportfs mode=0555
 file path=usr/sbin/nfsref mode=0555
@@ -93,5 +94,6 @@
     name="Network File System (NFS) server support (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/reparse/$(ARCH64)/libnfs_basic.so target=./libnfs_basic.so.1
+$(BUILD64)link path=usr/lib/reparse/$(ARCH64)/libnfs_basic.so \
+    target=./libnfs_basic.so.1
 link path=usr/lib/reparse/libnfs_basic.so target=./libnfs_basic.so.1
--- old/usr/src/pkg/manifests/service-file-system-smb.mf	2014-04-11 13:24:10.559268344 +0100
+++ new/usr/src/pkg/manifests/service-file-system-smb.mf	2014-04-11 13:24:10.567102628 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/file-system/smb@$(PKGVERS)
@@ -45,10 +46,10 @@
 dir path=usr/lib
 dir path=usr/lib/fs group=sys
 dir path=usr/lib/fs/smb group=sys
-dir path=usr/lib/fs/smb/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/fs/smb/$(ARCH64) group=sys
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/lib/reparse
 dir path=usr/lib/security
 dir path=usr/lib/smbsrv
@@ -72,9 +73,9 @@
 file path=usr/kernel/drv/smbsrv.conf group=sys
 file path=usr/kernel/kmdb/$(ARCH64)/smbsrv group=sys mode=0555
 $(i386_ONLY)file path=usr/kernel/kmdb/smbsrv group=sys mode=0555
-file path=usr/lib/fs/smb/$(ARCH64)/libshare_smb.so.1
+$(BUILD64)file path=usr/lib/fs/smb/$(ARCH64)/libshare_smb.so.1
 file path=usr/lib/fs/smb/libshare_smb.so.1
-file path=usr/lib/mdb/kvm/$(ARCH64)/smbsrv.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/smbsrv.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/smbsrv.so group=sys mode=0555
 file path=usr/lib/reparse/libreparse_smb.so.1
 file path=usr/lib/security/pam_smb_passwd.so.1
--- old/usr/src/pkg/manifests/service-hal.mf	2014-04-11 13:24:10.761096486 +0100
+++ new/usr/src/pkg/manifests/service-hal.mf	2014-04-11 13:24:10.769137721 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/hal@$(PKGVERS)
@@ -56,8 +57,8 @@
 dir path=lib/svc/method variant.opensolaris.zone=global
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-dir path=usr/lib/$(ARCH64)/pkgconfig group=other
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)/pkgconfig group=other
 dir path=usr/lib/hal
 dir path=usr/lib/hal/sunos
 dir path=usr/lib/pkgconfig group=other
@@ -114,12 +115,12 @@
 file path=lib/svc/method/svc-hal mode=0555 variant.opensolaris.zone=global
 file path=lib/svc/method/svc-network-discovery mode=0555 \
     variant.opensolaris.zone=global
-file path=usr/lib/$(ARCH64)/libhal-storage.so.1.0.0
-file path=usr/lib/$(ARCH64)/libhal.so.1.0.0
-file path=usr/lib/$(ARCH64)/llib-lhal-storage.ln
-file path=usr/lib/$(ARCH64)/llib-lhal.ln
-file path=usr/lib/$(ARCH64)/pkgconfig/hal-storage.pc
-file path=usr/lib/$(ARCH64)/pkgconfig/hal.pc
+$(BUILD64)file path=usr/lib/$(ARCH64)/libhal-storage.so.1.0.0
+$(BUILD64)file path=usr/lib/$(ARCH64)/libhal.so.1.0.0
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lhal-storage.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lhal.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/pkgconfig/hal-storage.pc
+$(BUILD64)file path=usr/lib/$(ARCH64)/pkgconfig/hal.pc
 file path=usr/lib/hal/hal-functions mode=0555
 file path=usr/lib/hal/hal-is-caller-privileged mode=0555
 file path=usr/lib/hal/hal-storage-cleanup-all-mountpoints mode=0555
@@ -185,11 +186,12 @@
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
 license usr/src/cmd/hal/LICENSE license=usr/src/cmd/hal/LICENSE
-link path=usr/lib/$(ARCH64)/libhal-storage.so target=./libhal-storage.so.1.0.0
-link path=usr/lib/$(ARCH64)/libhal-storage.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libhal-storage.so \
     target=./libhal-storage.so.1.0.0
-link path=usr/lib/$(ARCH64)/libhal.so target=./libhal.so.1.0.0
-link path=usr/lib/$(ARCH64)/libhal.so.1 target=./libhal.so.1.0.0
+$(BUILD64)link path=usr/lib/$(ARCH64)/libhal-storage.so.1 \
+    target=./libhal-storage.so.1.0.0
+$(BUILD64)link path=usr/lib/$(ARCH64)/libhal.so target=./libhal.so.1.0.0
+$(BUILD64)link path=usr/lib/$(ARCH64)/libhal.so.1 target=./libhal.so.1.0.0
 link path=usr/lib/libhal-storage.so target=./libhal-storage.so.1.0.0
 link path=usr/lib/libhal-storage.so.1 target=./libhal-storage.so.1.0.0
 link path=usr/lib/libhal.so target=./libhal.so.1.0.0
--- old/usr/src/pkg/manifests/service-network-dns-mdns.mf	2014-04-11 13:24:10.958182228 +0100
+++ new/usr/src/pkg/manifests/service-network-dns-mdns.mf	2014-04-11 13:24:10.966569745 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/network/dns/mdns@$(PKGVERS)
@@ -40,7 +41,7 @@
 dir path=usr/bin
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/inet
 dir path=usr/share
 dir path=usr/share/lib
@@ -60,10 +61,10 @@
 file path=lib/svc/manifest/network/dns/multicast.xml group=sys mode=0444
 file path=usr/bin/dns-sd mode=0555
 file path=usr/include/dns_sd.h
-file path=usr/lib/$(ARCH64)/libdns_sd.so.1
-file path=usr/lib/$(ARCH64)/libjdns_sd.so.1
-file path=usr/lib/$(ARCH64)/llib-ldns_sd.ln
-file path=usr/lib/$(ARCH64)/nss_mdns.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libdns_sd.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libjdns_sd.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ldns_sd.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/nss_mdns.so.1
 file path=usr/lib/inet/mdnsd mode=0555
 file path=usr/lib/libdns_sd.so.1
 file path=usr/lib/libjdns_sd.so.1
@@ -164,8 +165,8 @@
     license=usr/src/cmd/cmd-inet/usr.lib/mdnsd/THIRDPARTYLICENSE
 license usr/src/lib/libdns_sd/THIRDPARTYLICENSE \
     license=usr/src/lib/libdns_sd/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libdns_sd.so target=libdns_sd.so.1
-link path=usr/lib/$(ARCH64)/libjdns_sd.so target=libjdns_sd.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdns_sd.so target=libdns_sd.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libjdns_sd.so target=libjdns_sd.so.1
 link path=usr/lib/libdns_sd.so target=libdns_sd.so.1
 link path=usr/lib/libjdns_sd.so target=libjdns_sd.so.1
 link path=usr/share/man/man3dns_sd/DNSServiceAddRecord.3dns_sd \
--- old/usr/src/pkg/manifests/service-network-load-balancer-ilb.mf	2014-04-11 13:24:11.152317346 +0100
+++ new/usr/src/pkg/manifests/service-network-load-balancer-ilb.mf	2014-04-11 13:24:11.161121002 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/network/load-balancer/ilb@$(PKGVERS)
@@ -38,14 +39,14 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/inet
 dir path=usr/lib/inet/ilb
 dir path=usr/sbin
 file path=lib/svc/manifest/network/loadbalancer/ilbd.xml group=sys mode=0444
 file path=usr/include/libilb.h
-file path=usr/lib/$(ARCH64)/libilb.so.1
-file path=usr/lib/$(ARCH64)/llib-lilb.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libilb.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lilb.ln
 file path=usr/lib/inet/ilb/ilb_probe mode=0555
 file path=usr/lib/inet/ilbd mode=0555
 file path=usr/lib/libilb.so.1
@@ -60,5 +61,5 @@
     name="Integrated IP layer 3/4 load balancer for Solaris(root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libilb.so target=./libilb.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libilb.so target=./libilb.so.1
 link path=usr/lib/libilb.so target=./libilb.so.1
--- old/usr/src/pkg/manifests/service-network-slp.mf	2014-04-11 13:24:11.344972962 +0100
+++ new/usr/src/pkg/manifests/service-network-slp.mf	2014-04-11 13:24:11.353142200 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/network/slp@$(PKGVERS)
@@ -41,7 +42,7 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/inet
 dir path=usr/share
 dir path=usr/share/lib
@@ -57,8 +58,8 @@
 file path=lib/svc/manifest/network/slp.xml group=sys mode=0444
 file path=lib/svc/method/slp mode=0555
 file path=usr/include/slp.h
-file path=usr/lib/$(ARCH64)/libslp.so.1
-file path=usr/lib/$(ARCH64)/llib-lslp.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libslp.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lslp.ln
 file path=usr/lib/inet/slpd mode=0555
 file path=usr/lib/libslp.so.1
 file path=usr/lib/llib-lslp
@@ -96,5 +97,5 @@
     name="SLP, (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libslp.so target=libslp.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libslp.so target=libslp.so.1
 link path=usr/lib/libslp.so target=libslp.so.1
--- old/usr/src/pkg/manifests/service-picl.mf	2014-04-11 13:24:11.537374185 +0100
+++ new/usr/src/pkg/manifests/service-picl.mf	2014-04-11 13:24:11.546604573 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/picl@$(PKGVERS)
@@ -35,7 +36,7 @@
 dir path=lib/svc/manifest group=sys variant.opensolaris.zone=global
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/picl group=sys
 dir path=usr/lib/picl/plugins group=sys
 dir path=usr/lib/sysevent
@@ -154,8 +155,8 @@
 dir path=usr/share/man/man3picltree
 file path=lib/svc/manifest/system/picl.xml group=sys mode=0444 \
     variant.opensolaris.zone=global
-file path=usr/lib/$(ARCH64)/libpicl.so.1
-file path=usr/lib/$(ARCH64)/llib-lpicl.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libpicl.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lpicl.ln
 file path=usr/lib/libpicl.so.1
 file path=usr/lib/libpicld_pluginutil.so.1
 file path=usr/lib/libpicltree.so.1
@@ -707,7 +708,7 @@
     name="PICL Libraries, and Plugin Modules (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libpicl.so target=./libpicl.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpicl.so target=./libpicl.so.1
 link path=usr/lib/libpicl.so target=./libpicl.so.1
 link path=usr/lib/libpicld_pluginutil.so target=./libpicld_pluginutil.so.1
 link path=usr/lib/libpicltree.so target=./libpicltree.so.1
--- old/usr/src/pkg/manifests/service-resource-cap.mf	2014-04-11 13:24:11.750977964 +0100
+++ new/usr/src/pkg/manifests/service-resource-cap.mf	2014-04-11 13:24:11.757945275 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/resource-cap@$(PKGVERS)
@@ -37,14 +38,14 @@
 dir path=usr/lib
 dir path=usr/lib/rcap
 dir path=usr/lib/rcap/$(ARCH32)
-dir path=usr/lib/rcap/$(ARCH64)
+$(BUILD64)dir path=usr/lib/rcap/$(ARCH64)
 dir path=usr/sbin
 dir path=usr/share/man/man1
 dir path=usr/share/man/man1m
 file path=lib/svc/manifest/system/rcap.xml group=sys mode=0444
 file path=usr/bin/rcapstat mode=0555
 file path=usr/lib/rcap/$(ARCH32)/rcapd mode=0555
-file path=usr/lib/rcap/$(ARCH64)/rcapd mode=0555
+$(BUILD64)file path=usr/lib/rcap/$(ARCH64)/rcapd mode=0555
 file path=usr/sbin/rcapadm mode=0555
 file path=usr/share/man/man1/rcapstat.1
 file path=usr/share/man/man1m/rcapadm.1m
--- old/usr/src/pkg/manifests/service-resource-pools.mf	2014-04-11 13:24:11.947506692 +0100
+++ new/usr/src/pkg/manifests/service-resource-pools.mf	2014-04-11 13:24:11.956009600 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/resource-pools@$(PKGVERS)
@@ -41,7 +42,7 @@
 dir path=usr/kernel/drv group=sys
 dir path=usr/kernel/drv/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/rcm
 dir path=usr/lib/rcm/modules
 dir path=usr/sbin
@@ -68,8 +69,8 @@
 file path=usr/kernel/drv/$(ARCH64)/pool group=sys
 $(i386_ONLY)file path=usr/kernel/drv/pool group=sys
 file path=usr/kernel/drv/pool.conf group=sys
-file path=usr/lib/$(ARCH64)/libpool.so.1
-file path=usr/lib/$(ARCH64)/llib-lpool.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libpool.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lpool.ln
 file path=usr/lib/libpool.so.1
 file path=usr/lib/llib-lpool
 file path=usr/lib/llib-lpool.ln
@@ -101,7 +102,7 @@
     name="Resource Pools (Root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libpool.so target=libpool.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpool.so target=libpool.so.1
 link path=usr/lib/libpool.so target=./libpool.so.1
 link path=usr/share/man/man3pool/pool_conf_close.3pool \
     target=pool_conf_alloc.3pool
--- old/usr/src/pkg/manifests/service-security-kerberos-5.mf	2014-04-11 13:24:12.144068684 +0100
+++ new/usr/src/pkg/manifests/service-security-kerberos-5.mf	2014-04-11 13:24:12.152890753 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/security/kerberos-5@$(PKGVERS)
@@ -39,15 +40,15 @@
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-dir path=usr/lib/$(ARCH64)/gss
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)/gss
 dir path=usr/lib/gss
 dir path=usr/lib/krb5
-dir path=usr/lib/krb5/$(ARCH64)
+$(BUILD64)dir path=usr/lib/krb5/$(ARCH64)
 dir path=usr/lib/krb5/plugins
 dir path=usr/lib/krb5/plugins/preauth
 dir path=usr/lib/security
-dir path=usr/lib/security/$(ARCH64)
+$(BUILD64)dir path=usr/lib/security/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man1
 dir path=usr/share/man/man1m
@@ -70,17 +71,17 @@
 file path=usr/bin/kpasswd mode=0555
 file path=usr/bin/krb5-config mode=0555
 file path=usr/bin/ktutil mode=0555
-file path=usr/lib/$(ARCH64)/gss/mech_krb5.so.1
-file path=usr/lib/$(ARCH64)/libkrb5.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/gss/mech_krb5.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libkrb5.so.1
 file path=usr/lib/gss/mech_krb5.so.1
-file path=usr/lib/krb5/$(ARCH64)/libkadm5clnt.so.1
+$(BUILD64)file path=usr/lib/krb5/$(ARCH64)/libkadm5clnt.so.1
 file path=usr/lib/krb5/ktkt_warnd mode=0555
 file path=usr/lib/krb5/libkadm5clnt.so.1
 file path=usr/lib/krb5/libss.so.1
 file path=usr/lib/krb5/plugins/preauth/pkinit.so.1
 file path=usr/lib/libkrb5.so.1
-file path=usr/lib/security/$(ARCH64)/pam_krb5.so.1
-file path=usr/lib/security/$(ARCH64)/pam_krb5_migrate.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_krb5.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_krb5_migrate.so.1
 file path=usr/lib/security/pam_krb5.so.1
 file path=usr/lib/security/pam_krb5_migrate.so.1
 file path=usr/share/man/man1/kdestroy.1
@@ -101,16 +102,18 @@
 license lic_CDDL license=lic_CDDL
 license usr/src/lib/gss_mechs/mech_krb5/THIRDPARTYLICENSE \
     license=usr/src/lib/gss_mechs/mech_krb5/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/gss/mech_krb5.so target=./mech_krb5.so.1
-link path=usr/lib/$(ARCH64)/libkrb5.so target=./libkrb5.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/gss/mech_krb5.so target=./mech_krb5.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libkrb5.so target=./libkrb5.so.1
 link path=usr/lib/gss/mech_krb5.so target=./mech_krb5.so.1
-link path=usr/lib/krb5/$(ARCH64)/libkadm5clnt.so target=./libkadm5clnt.so.1
+$(BUILD64)link path=usr/lib/krb5/$(ARCH64)/libkadm5clnt.so \
+    target=./libkadm5clnt.so.1
 link path=usr/lib/krb5/libkadm5clnt.so target=./libkadm5clnt.so.1
 link path=usr/lib/krb5/libss.so target=libss.so.1
 link path=usr/lib/krb5/plugins/preauth/pkinit.so target=pkinit.so.1
 link path=usr/lib/libkrb5.so target=./libkrb5.so.1
-link path=usr/lib/security/$(ARCH64)/pam_krb5.so target=./pam_krb5.so.1
-link path=usr/lib/security/$(ARCH64)/pam_krb5_migrate.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_krb5.so \
+    target=./pam_krb5.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_krb5_migrate.so \
     target=./pam_krb5_migrate.so.1
 link path=usr/lib/security/pam_krb5.so target=./pam_krb5.so.1
 link path=usr/lib/security/pam_krb5_migrate.so target=./pam_krb5_migrate.so.1
--- old/usr/src/pkg/manifests/service-storage-avs-cache-management.mf	2014-04-11 13:24:12.338465879 +0100
+++ new/usr/src/pkg/manifests/service-storage-avs-cache-management.mf	2014-04-11 13:24:12.346476894 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -62,7 +63,7 @@
 dir path=usr/lib
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -109,8 +110,8 @@
 file path=usr/lib/libdscfg.so.1
 file path=usr/lib/libnsctl.so.1
 file path=usr/lib/libunistat.so.1
-file path=usr/lib/mdb/kvm/$(ARCH64)/nsctl.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/sdbc.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/nsctl.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/sdbc.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/nsctl.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/sdbc.so group=sys mode=0555
 file path=usr/share/man/man1m/dsbitmap.1m
